28

I understand MS-DOS to be backwards-compatible, so is there a reason to run a version earlier than the last (6.22) on an old computer? The only reason I can think of would be for period-accuracy, but is that it?

  • 23
    What, if not period-accuracy, would prompt you to run such a computer in the first place? – leftaroundabout Jan 3 '18 at 14:03
  • 6
    One has software that relied on a non-virtualized DOS environment to run (copy protected game, perhaps)? One has hardware for which no driver exists beyond the DOS age? One has a contractual or other obligation to maintain a particular hardware and/or software environment? One relies on a device that later OSes never supported (e.g. 808x/8018x based embedded devices). There are any number of legitimate reasons, including "I want to run something period-accurate". – KJ Seefried Jan 3 '18 at 20:56
  • 5
    My first boss favored DOS 1.0 because there were no subdirectories, so he always knew where any given file was. None of this crazy searching subdirectories stuff. :) – Don Branson Jan 3 '18 at 22:15
  • IIRC the SETVER environment variable was handy for masking a newer version to look like an older one to a piece of software demanding a specific version. I'm afraid I don't remember whether there were also problems with it. And, I and amateur in case I didn't reveal it already :-) – Jyrki Lahtonen Jan 3 '18 at 23:05
  • 6
    @Jyrki SETVER just lied about the DOS version, it didn’t change any behaviour inside DOS. It was mostly intended to “fix” programs which assumed they didn’t support newer DOS versions, when they actually did. – Stephen Kitt Jan 3 '18 at 23:10
34

Later versions of DOS tended to use more memory. On 386 systems, or systems with EMS memory, this wasn't a huge issue because dos could be configured to use memory outside of the standard 640K region for a large proportion of its use, but on 286 machines (which couldn't run EMM386 to emulate EMS memory, but generally didn't have any real EMS) this wasn't possible.

That said, I ran DOS 6.2 on my 286 happily for many years, just keeping back a boot disk with 3.3 on it for the rare occasion it was necessary.

  • 1
    The above being said, I do hear rumours that PC-DOS 7 was lighter in memory usage than MS-DOS 6, so may be a useful compromise if you can find a copy. – Jules Jan 3 '18 at 6:33
  • 5
    But I thought 640k ought to be enough for anybody? – corsiKa Jan 3 '18 at 18:41
  • 6
    chkdsk in IBM DOS 3.0 in qemu reports "600352 bytes free", in MS-DOS 6.22 with no config.sys or autoexec.bat it reports "591,392 bytes free", and 6.22 with himem loaded and DOS=HIGH,UMB reports "636,096 bytes free". – hobbs Jan 4 '18 at 1:01
  • 1
    I could test it on real hardware, but I think the results would be the same even if the absolute numbers were a little different -- DOS is around 10kB bigger, but if you can use XMS you gain more than you lose. – hobbs Jan 4 '18 at 1:03
  • 4
    It was probably a few (maaybe 5, maybe 10) kb more, and it didn't really mean that much holy memory flash. I recall so many times when I fiddled around in DOS to get just a few more KB (yes, maybe even only 10) to get a new, hungry, program to run. – AnoE Jan 4 '18 at 23:12
16

I know you said "MS-DOS" specifically, but PC-DOS was MS-DOS up until PC-DOS 6.1 in 1993. (MS-DOS 6.0 came out 3 months earlier.) With the split, IBM dropped QBasic (later to be replaced in v7.0 with REXX) and replaced the MS-DOS editor with the superior programmer's editor E. For me, that was reason enough to stop using MS-DOS and become a PC-DOS user. I know that is not much earlier than MS-DOS 6.22, but it is earlier.

You might be interested in Wikipedia's Timeline of DOS operating systems. It includes a large amount of detail, and covers many decades, beginning even before MS-DOS 1.0.

9

If the old computer is '100% IBM PC Compatible'^tm, then you should be able to run basically any version of MS/PC-DOS on them. However, there were lots of old computers that ran MS-DOS (especially when the IBM PC was young) that had non-compatible hardware variations that would limit that. For example:

  • If it uses 8" floppies, support for that disappeared in MS-DOS 2.11. More common than you might think at one time.
  • Anything with an 80188/80186 rather than an 8088/8086 (e.g. Tandy 2000, Mindset) is probably going to have issues with later DOS.
  • If it's an early PC-9801 series (the original 8086 or V30 only sorta PC compatible versions of the hugely popular Japanese PC-98 platform), then I'm pretty sure you're stuck at MS-DOS 3.3, but certainly no later than 6.20. NEC had a similar machine called the APC-III that I recall ran up to 3.11.
  • Didja know TI made an IBM PC competitor? Neither did anyone else. If you have a TI 'Professional Computer' the not-quite-compatible design and TI's quick exit from the market leaves you at DOS 2.1 or so. Lots of orphans fall into this category: Dec Rainbow, Victor 9000, Sanyo MBC-55, Wang Professional, Zenith Z-100 series.

You get the idea.

  • IMO this should be the accepted answer. I work for the Commodore representation in my country, and they also had Commodore XTs that were stuck at 3.x. – Rui F Ribeiro Jan 4 '18 at 8:58
  • 1
    I had a TI Business Pro 286, mine must have been a later model than the one you're refering to though because mine ran DOS 6.0 happily off a 5.25" floppy (no HDD, just twin 5.25" drives and 3.5MB of RAM, most of which I configured as a RAM disk because what else are you going to do with that much XMS on a 286?) – Joseph Rogers Jan 4 '18 at 9:29
  • My first XT was a NEC V30, the (in)famous PC1 Olivetti. – Rui F Ribeiro Jan 4 '18 at 10:03
  • @JosephRogers Good to know...I didn't even know TI made a 286. Shows you how complicated and forgotten the history is. Did your 6.0 utilize all the weird 'extra' video modes that TI implemented (assuming they did the same in the 286 as they did in the 8086). – KJ Seefried Jan 8 '18 at 1:13
  • 1
    @KJSeefried I don't think so, but it wasn't the "correct" version of DOS for the TI, I "borrowed" it from my Dad's Compaq Prolinea 486. As I suspect many of us posting here did, I spent much of my teenage years mucking around with computers for the heck of it! – Joseph Rogers Jan 9 '18 at 10:50
8

Earlier versions of MS-DOS 6 included DoubleSpace - a compression utility that was important in the days of smaller hard drives and high costs per megabyte.

Later versions of MS-DOS 6 were downgrades which did not include DoubleSpace as the Stac Corporation had successfully sued Microsoft for infringement of data compression patents. https://en.wikipedia.org/wiki/Stac_Electronics.

If you intend to use the original hard disk this may be a relevant consideration.

  • 5
    Wikipedia says only MS-DOS 6.21 was without compression and 6.22 brought DriveSpace, which was backward compatible (rewritten and renamed). – kubanczyk Jan 3 '18 at 12:07
  • 10
    6.22 contains DriveSpace, which is a replacement that has similar functionality but avoids the patented technique; 6.21 IIRC does not contain either, while 6.2 had DoubleSpace. Earlier 6.x versions also had DoubleSpace, but it should not be used in those versions as it contained a bug that could cause corruption. – Jules Jan 3 '18 at 12:12
  • To elaborate what I was once taught in a college: MS-DOS 6's Doublespace caused corruption when initially compressing a disk that wasn't defragmented first. People who followed the official directions of Defragmenting first didn't tend to have the problem. But as a lucky owner of MS-DOS 6 who wasn't burned, even one who read (at least the start of) the memorably playful-looking manual, I don't recall having seen such official instructions. For those who weren't as lucky me, many lost much of their data, leading to some widespread mainstream media reporting about Doublespace's unreliability. – TOOGAM Jan 5 '18 at 10:25
4

6.2 had a brilliant file transfer utility which you could work through either the parallel port or serial port and a crossover cable. On earlier versions, you had to use a Norton based tool. On the later versions (W95 = DOS7), this facility was missing.

The great thing about it is it can be used for transferring the contents of a WinXP CD to an old laptop without a CD drive and then installing it. It is also great for transferring stuff from Linux CDs for Linux installations: as long as they keep to the 8.3 naming convention, there is no problem with the transfer.

The only problem is that the disks are limited to 2Gb.

  • 1
    do you mean interlink? as far as I know, you can still download this on MSs website, and it's also working on Win95, Win98 and SE PCs – Tommylee2k Jan 3 '18 at 14:53
  • 1
    Yes - I meant interlink. It came with 6.2 but not with W95, 98 or ME. The great thing is that 6.2 with interlink fitted on a floppy so you could boot up both machines on floppies and do the transfer then do the install. – cup Jan 3 '18 at 15:00
  • 5
    Interlink was still included on the Windows 95 CD, but it wasn’t installed by default. Windows 98 dropped it. – Stephen Kitt Jan 3 '18 at 19:17
  • These crossover cables are often referred to as LapLink cables because of another vendor that offered the same functionality. I have someplace a cable with three plugs on each end that does 9pin, 25pin serial, and 25 pin parallel. – Rowan Hawkins Jan 9 '18 at 23:22
4

There are some instances when having an older version of MS-DOS around could be helpful. Realistically, I would use the latest and greatest unless you have come across a reason otherwise.

When dealing with installs of old programs, I have come across ones which will only work on a certain version of DOS. For instance, MS-DOS 5.00 was one that I remember a couple programs needed.

Keep in mind this was doing installs of programs made in the late 1980s early 1990s.

3

I don't see much sense in using DOS older than the latest one, as in DOS7.1 from WIN98, not as in official DOS6.22. It had a lot of improvements over earlier versions, for example long file names and better optimized writes and reads. The only downside is probably the compatibility - I personally didn't get into any problems when using 7.1, but if you need to run very (probably pre-1985 tier) software, you'll be safer using 6.22.

One exception to this is when you have a legal copy of DOS that you just want to use on a retro computer - in this situation, it's completely understandable to use older versions.

  • 1
    I've seen some suggestions that MSDOS 7.x require a 386 or higher processor to boot. Certainly this is a requirement for the official specs (because they're part of the Win 9x series, and that was the minimum spec for Windows), although whether it is an actual technical requirement I don't know: I have no experience of running them on older systems, but it's certainly worth considering. – Jules Jan 4 '18 at 0:11

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.